Contents

# DefCur Statement

Không ghi rõ ký tự hay từ khoá mà khai báo kiểu, thì câu lệnh DefCur đặt kiểu biến mặc định, tùy theo một phạm vi chữ.

### Syntax:

        {DefBool|DefCur|DefDate|DefDbl|DefErr|DefInt|DefLng|DefObj|DefStr|DefSng|DefVar} {char|char-char}[,...]

### Parameters:

char: Letter prefix that specifies default data type for variables.

char-char: Letter range prefixes that specify default data type for variables.

### Example:

        ' Prefix definitions for variable types:
        DefBool b
        DefCur c,l-m
        DefDate t
        DefDbl f
        DefErr e
        DefInt i-k,N
        DefLng x-z, D
        DefObj U, o-R
        DefSng w,a
        DefStr s
        DefVar V,g

      Sub ExampleDefCur
          Print liquid, Typename(coinbit), VarType(money) ' Result is: 0.0000 Currency 6
          cCur=Currency ' cCur is an implicit currency variable.
      End Sub